Manuel PHP
Précédent |  | Suivant

# ftp_set_option

(PHP 4 >= 4.2.0, PHP 5)

ftp_set_option -- Modifie les options de la connexion FTP

## Description

bool ftp_set_option ( resource ftp_stream, int option, mixed value )

ftp_set_option() contrôle diverses options de connexion pour une connexion FTP.

## Liste de paramètres

ftp_stream

  L'identifiant du lien de connexion FTP.

option

  Actuellement, les options suivantes sont supportées :

  Tableau 1. Options FTP supportées

  `FTP_TIMEOUT_SEC` | Modifie le délai de connexion en secondes utilisé pour toutes les fonctions raltives au réseau. value doit être un entier plus grand que 0. Le délai de connexion par défaut est de 90 secondes.
  `FTP_AUTOSEEK` | Lorsqu'actif, les requêtes GET ou PUT avec un paramètre resumepos ou startpos se positionnera d'abord à la position désirée dans le fichier. Ceci est actif par défaut.

value

  Ce paramètre dépend de l'option option que l'on veut modifier.

## Valeurs de retour

Retourne `TRUE` si l'option a pû être modifiée, `FALSE` sinon. Un message d'alerte sera envoyé si option n'est pas supportée ou bien si la valeur value ne correspond pas à la valeur attendue pour l'option option donnée.

## Exemples

Exemple 1. Exemple avec ftp_set_option()

`<?php // Définission du délai de connexion à 10 secondes ftp_set_option($conn_id, FTP_TIMEOUT_SEC, 10); ?>`

## Voir aussi

ftp_get_option()

Précédent | Sommaire | Suivant
ftp_rmdir | Niveau supérieur | ftp_site